<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-layout}">
  <head id="head">

    <title data-th-text="#{label_search_entity(#{label_bookingline})}">
    Search BookingLine - poc_roo_2_0 - SpringRoo Application</title>

    <!-- DateTimePicker -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.min.css" data-th-href="@{/webjars/datetimepicker/build/jquery.datetimepicker.min.css}" />

  </head>

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
    <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content" data-th-with="searchLink=${@linkBuilder.of('BookingLinesSearchThymeleafController')}">
        <div class="container-fluid content">

          <h1 data-th-text="#{label_search_entity(#{label_bookingline})}">Search BookingLine</h1>

          <!-- FORM -->
          <form class="form-horizontal validate" method="GET" data-th-object="${formBean}" data-th-action="${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSell')}">

            <fieldset id="containerFields">
              <legend class="sr-only" data-th-text="#{label_data_entity(#{label_bookingline})}">BookingLine data </legend>

<div class="form-group has-error has-feedback" data-z="bd4ccefc" id="bookingline-description-entity" data-th-classappend="${#fields.hasErrors('description')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="description" class="col-md-3 control-label" data-th-text="#{label_bookingline_description}">description</label>
  <div class="col-md-6">
    <input id="description" name="description" data-th-value="*{{description}}" type="text" class="form-control" placeholder="description" data-th-placeholder="#{label_bookingline_description}" data-toggle="tooltip" aria-describedby="descriptionStatus" />
      <span data-th-classappend="${#fields.hasErrors('description')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('description')}" aria-hidden="true"></span>
      <span id="description-error" class="help-block" data-th-if="${#fields.hasErrors('description')}" data-th-errors="*{description}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" id="bookingline-cancelled-entity" data-z="d10b5b9c" data-th-classappend="${#fields.hasErrors('cancelled')}? 'has-error has-feedback'" data-th-class="form-group">
  <label class="col-md-3 control-label" for="cancelled" data-th-text="#{label_bookingline_cancelled}">cancelled</label>
  <div class="col-md-6">
    <div class="checkbox">
      <input type="checkbox" data-th-field="*{cancelled}" data-th-title="#{label_requiredfield}" data-toggle="tooltip" />
       <span data-th-classappend="${#fields.hasErrors('cancelled')}? 'form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('cancelled')}" aria-hidden="true"></span>
        <span id="cancelled-error" class="help-block" data-th-if="${#fields.hasErrors('cancelled')}" data-th-errors="*{cancelled}">Error message.</span>
    </div>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="a6cff31c" id="bookingline-pricecost-entity" data-th-classappend="${#fields.hasErrors('priceCost')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="priceCost" class="col-md-3 control-label" data-th-text="#{label_bookingline_pricecost}">priceCost</label>
  <div class="col-md-3">
    <input id="priceCost" name="priceCost" data-th-value="*{{priceCost}}" type="text" class="form-control inputmask" placeholder="priceCost" data-th-placeholder="#{label_bookingline_pricecost}" data-toggle="tooltip" aria-describedby="priceCostStatus" data-inputmask-alias="numeric" data-inputmask-digits="2" />
      <span data-th-classappend="${#fields.hasErrors('priceCost')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('priceCost')}" aria-hidden="true"></span>
      <span id="priceCost-error" class="help-block" data-th-if="${#fields.hasErrors('priceCost')}" data-th-errors="*{priceCost}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="c26a167c" id="bookingline-pricesell-entity" data-th-classappend="${#fields.hasErrors('priceSell')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="priceSell" class="col-md-3 control-label" data-th-text="#{label_bookingline_pricesell}">priceSell</label>
  <div class="col-md-3">
    <input id="priceSell" name="priceSell" data-th-value="*{{priceSell}}" type="text" class="form-control inputmask" placeholder="priceSell" data-th-placeholder="#{label_bookingline_pricesell}" data-toggle="tooltip" aria-describedby="priceSellStatus" data-inputmask-alias="numeric" data-inputmask-digits="2" />
      <span data-th-classappend="${#fields.hasErrors('priceSell')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('priceSell')}" aria-hidden="true"></span>
      <span id="priceSell-error" class="help-block" data-th-if="${#fields.hasErrors('priceSell')}" data-th-errors="*{priceSell}">Error message.</span>
  </div>
</div>

              </fieldset>

              <!-- buttons form -->
              <div class="form-group">
                <div class="col-md-9 col-md-offset-3">
                    <button type="submit" class="btn btn-primary" data-th-text="#{label_search}">Search</button>
                    <button type="reset" class="btn btn-default" onclick="location.href='list.html'" data-th-onclick="'location.href=\'' + @{/bookinglines} + '\''" data-th-text="#{label_reset}">Cancel</button>
                </div>
              </div>

          </form>
          <!-- /FORM -->
        </div>
      </section>
      <!-- /CONTENT-->
    </div>
    <!-- /CONTAINER-->

    <footer class="container">
      <!-- Content replaced by layout of the page displayed -->
    </footer>

  <!-- JavaScript
  ================================================== -->
  <!-- Placed at the end of the document so that the pages load faster -->
  <!-- JavaScript loaded by layout of the page displayed -->
  <!--
       Only the inner content of the following tag "javascript" is included
       within the template, in the div "javascript"
      -->
  <div data-layout-fragment="javascript">

    <!-- DateTimePicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.full.min.js" data-th-src="@{/webjars/datetimepicker/build/jquery.datetimepicker.full.min.js}"></script>
    <script src="../../static/public/js/datetimepicker-defaults.js" data-th-src="@{/public/js/datetimepicker-defaults.js}"></script>

    <!-- jquery.inputmask -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/3.3.1/jquery.inputmask.bundle.min.js" data-th-src="@{/webjars/jquery.inputmask/min/jquery.inputmask.bundle.min.js}"></script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
        jQuery(document).ready(
      	  function() {
      	    Inputmask.extendAliases({
      	      'numeric' : {
      	         'groupSeparator' : /*[[#{label_inputmask_groupSeparator}]]*/'.',
      	         'radixPoint' : /*[[#{label_inputmask_radixPoint}]]*/','
      	       },
      	       'currency' : {
      	          'prefix' : /*[[#{label_inputmask_prefix}]]*/'',
      	          'suffix' : /*[[#{label_inputmask_suffix}]]*/' €'
      	        }
      	    });
      	 });
       })(jQuery);
    </script>
    <script src="../../static/public/js/inputmask-defaults.js" data-th-src="@{/public/js/inputmask-defaults.js}"></script>

    <!-- JQuery Validation -->
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/jquery.validate.min.js" data-th-src="@{/webjars/jquery-validation/dist/jquery.validate.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/additional-methods.min.js" data-th-src="@{/webjars/jquery-validation/dist/additional-methods.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/localization/messages_es.js" data-th-src="@{/webjars/jquery-validation/src/localization/messages_}+${#locale.language}+'.js'" data-th-if="${#locale.language} != 'en'">
      </script>
    <script src="../../static/public/js/validation-defaults.js" data-th-src="@{/public/js/validation-defaults.js}">
      </script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
         jQuery(document).ready(function() {
      	   jQuery.extend( jQuery.validator.messages, {
      	     'dateformat' : /*[[#{error_invalid_date}]]*/ 'Please enter a correct date/time',
      	     'inputmask': /*[[#{error_invalid_maskValue}]]*/ 'Please enter a valid value',
      	   });
      	 });
      })(jQuery);
      </script>

    </div>

  </body>

</html>
